'use strict';

// ** Dependencies
const Action = require('../../lib/actions');
const logger = require('../../lib/logger').createLogger('throw-error');

// Create a sayhello action
const sayhello = Action(() => {throw Error()});

// Run the action
sayhello
    .on('result', result => logger(result))
    .on('error', error => logger(error))
    .on('completed', trace => logger(trace))
    .run("Brad Serbu")
    .then(result => console.log(result))